# Twitter Kit for iOS

Twitter Kit is a native SDK to include Twitter content inside mobile apps. The SDK includes TwitterCore and TwitterKit, which also has TwitterShareExtensionUI (composer). Twitter Kit is designed to make interacting with Twitter seamless and efficient.

Using Twitter Kit from source in production applications is not officially supported. Please utilize the available binaries.

## Getting Started

* Create your Twitter app through [this portal](https://apps.twitter.com/).
* Rename DemoApp/Config.xcconfig.sample to DemoApp/Config.xcconfig and populate the consumer key and secret.
* Run Demo app to verify build.
* For extensive documentation, please see the [official documentation](http://dev.twitter.com/twitterkit/overview.html).

## Code of Conduct

This, and all github.com/twitter projects, are under the [Twitter Open Source Code of Conduct](https://github.com/twitter/code-of-conduct/blob/master/code-of-conduct.md). Additionally, see the [Typelevel Code of Conduct](http://typelevel.org/conduct) for specific examples of harassing behavior that are not tolerated.


## Contributing

The master branch of this repository contains the latest stable release of Twitter Kit. See [CONTRIBUTING.md](https://github.com/twitter/twitter-kit-ios/blob/master/CONTRIBUTING.md) for more details about how to contribute.

## Contact

For usage questions post on [Twitter Community](https://twittercommunity.com/tags/c/publisher/twitter/ios).

Please report any bugs as [issues](https://github.com/twitter/twitter-kit-ios/issues).

Follow [@TwitterDev](http://twitter.com/twitterdev) on Twitter for updates.

## License

Copyright 2017 Twitter, Inc.

Licensed under the Apache License, Version 2.0: http://www.apache.org/licenses/LICENSE-2.0
