/*
 * Copyright (C) 2017 Twitter, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

#import "TWTRScribeCardEvent.h"

@implementation TWTRScribeCardEvent

- (instancetype)initWithPromotionCardType:(TWTRScribePromotionCardType)promotionCardType
{
    if (self = [super init]) {
        _promotionCardType = promotionCardType;
    }

    return self;
}

#pragma mark - TWTRScribeSerializable

+ (NSString *)scribeKey
{
    return @"card_event";
}

- (NSDictionary *)dictionaryRepresentation
{
    return @{ @"promotion_card_type": @(self.promotionCardType) };
}

@end
