/*
 * Copyright (C) 2017 Twitter, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

#import <UIKit/UIKit.h>
#import "TWTRTweetView.h"

@class TWTRTweetMediaEntity;
@class TWTRMediaEntityDisplayConfiguration;

NS_ASSUME_NONNULL_BEGIN

@interface TWTRTweetImageView : UIImageView

/**
 * Configures the image view with the given media entity.
 * Users can provide a width hint to better determine which
 * image to use from the media entity.
 *
 * @param mediaEntityConfiguration the tweet media entity configuration to display
 * @param style the tweet view style
 */
- (void)configureWithMediaEntityConfiguration:(nullable TWTRMediaEntityDisplayConfiguration *)mediaEntityConfiguration style:(TWTRTweetViewStyle)style;

@end

NS_ASSUME_NONNULL_END
