/*
 * Copyright (C) 2017 Twitter, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

@import Foundation;

@class TSETweet;
@class TSETweetURLAttachmentMetadata;
@protocol TSEAccount;
@protocol TSETwitterUser;

NS_ASSUME_NONNULL_BEGIN

typedef NS_ENUM(NSUInteger, TSENetworkingResult) {
    TSENetworkingResultSuccess = 1,
    TSENetworkingResultError,
    TSENetworkingResultWillPostAsynchronously
};

typedef void(^TSENetworkingTweetSendCompletion)(TSENetworkingResult result);
typedef void(^TSENetworkingHydratedTwitterUserLoadCompletion)(id<TSETwitterUser> _Nullable hydratedUser);

@protocol TSENetworking <NSObject>

- (void)sendTweet:(TSETweet *)tweet fromAccount:(id<TSEAccount>)account completion:(TSENetworkingTweetSendCompletion)completion;

- (void)loadHydratedTwitterUserForAccount:(id<TSEAccount>)account completion:(TSENetworkingHydratedTwitterUserLoadCompletion)completion;

@end

NS_ASSUME_NONNULL_END
